pskc_set_key_algparm_chall_min(3)

NAME
pskc_set_key_algparm_chall_min - API function

SYNOPSIS
#include <pskc.h>

void pskc_set_key_algparm_chall_min(pskc_key_t * key, uint32_t challmin);

ARGUMENTS

pskc_key_t * key
    a pskc_key_t handle, from pskc_get_keypackage().

uint32_t challmin
    the minimum challenge length to set.

DESCRIPTION
Set the PSKC KeyPackage Key AlgorithmParameters ChallengeFormat Min value. This attribute defines the minimum size of the challenge accepted by the device for CR mode and MUST be included. If the digits/characters. If the 'Encoding' attribute is set to 'BASE64' or 'BINARY', this value indicates the minimum number of bytes of the unencoded value.

SINCE
2.2.0

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: http://www.gnu.org/software/libpskc/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2016 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.